Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision 9bab1417301cac901bb386a2aa0e3dd6878eb0a1)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
@@ -948,10 +948,11 @@
         self.onContextMenu(event)
         
-    def onLegend(self, event):
+# modified kieranrcampbell ILL june2012
+    def onLegend(self,legOnOff):
         """
         Toggles whether legend is visible/not visible
         """
         
-        if self.legend_on:
+        if not legOnOff:
             for ax in self.axes:
                 self.remove_legend(ax)
@@ -971,6 +972,9 @@
         
         self.subplot.figure.canvas.draw_idle()
-        self.legend_on = not self.legend_on
+        self.legend_on = legOnOff
     
+
+    # to do - remove this function when done
+
     def onChangeLegendLoc(self, event):
         """
@@ -997,4 +1001,29 @@
         self.subplot.figure.canvas.draw_idle()
         
+
+    def ChangeLegendLoc(self, label):
+        """
+        Changes legend loc based on user input
+        """
+        
+        self.legendLoc = label
+        self.legend_pos_loc = None
+        # sort them by labels
+        handles, labels = self.subplot.get_legend_handles_labels()
+        hl = sorted(zip(handles, labels),
+                    key=operator.itemgetter(1))
+        handles2, labels2 = zip(*hl)
+        self.line_collections_list = handles2
+        self.legend = self.subplot.legend(handles2, labels2,
+                            prop=FontProperties(size=10), numpoints=1,
+                            handletextsep=.05, loc=self.legendLoc)
+        if self.legend != None:
+                self.legend.set_picker(self.legend_picker)
+                self.legend.set_axes(self.subplot)
+        self.subplot.figure.canvas.draw_idle()
+        
+
+
+
     def remove_legend(self, ax=None):
         """
@@ -1048,12 +1077,10 @@
         #based on this and plot it at user designated coordinates
 
-    def onGridOnOff(self, event):
+    def onGridOnOff(self,gridon_off):
         """
         Allows ON/OFF Grid
         """
-        if self.grid_on:
-            self.grid_on = False
-        else:
-            self.grid_on = True
+        self.grid_on = gridon_off
+
         self.subplot.figure.canvas.draw_idle()
         
@@ -1266,4 +1293,6 @@
         
         """
+
+        self.xcolor = color
         if units != "":
             label = label + " (" + units + ")"
@@ -1284,4 +1313,6 @@
     def yaxis(self, label, units, font=None, color='black', t_font=None):
         """yaxis label and units."""
+        self.ycolor = color
+
         if units != "":
             label = label + " (" + units + ")"
Index: plottools/src/danse/common/plottools/SimpleFont.py
===================================================================
--- plottools/src/danse/common/plottools/SimpleFont.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
+++ plottools/src/danse/common/plottools/SimpleFont.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
@@ -0,0 +1,121 @@
+
+"""
+/**
+	This software was developed by Institut Laue-Langevin as part of
+	Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
+
+	Copyright 2012 Institut Laue-Langevin
+
+**/
+
+"""
+
+# this is a dead simple dialog for getting font family, size,style and weight
+
+
+import wx
+from matplotlib.font_manager import FontProperties
+
+FAMILY = ['serif', 'sans-serif', 'fantasy', 'monospace']
+SIZE = [8, 9, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 36, 48, 72]
+STYLE = ['normal', 'italic']
+WEIGHT = ['light', 'normal', 'bold']
+
+
+class SimpleFont(wx.Dialog):
+    def __init__(self,parent,id,title):
+
+        wx.Dialog.__init__(self,parent,id,title,size=(440,160))
+        self.parent = parent
+#        self.SetWindowVariant(variant=FONT_VARIANT)
+
+        self.family = FAMILY[1]
+        self.size = SIZE[3]
+        self.style = STYLE[0]
+        self.weight = WEIGHT[1]
+
+        self.InitUI()
+        self.Centre()
+        self.Show()
+
+
+    def InitUI(self):
+        vbox = wx.BoxSizer(wx.VERTICAL)
+        hbox1 = wx.BoxSizer(wx.HORIZONTAL)
+        hbox2 = wx.BoxSizer(wx.HORIZONTAL)
+        hbox3 = wx.BoxSizer(wx.HORIZONTAL)
+
+        gs = wx.GridSizer(2,4,-1,-1)
+
+        self.fontFamily = wx.ComboBox(self,pos=(80,10),style=wx.CB_READONLY,
+                                      size=(100,-1))
+        self.fontStyle = wx.ComboBox(self,pos=(80,60),style=wx.CB_READONLY,
+                                     size=(100,-1))
+
+        self.fontPoint = wx.ComboBox(self,pos=(300,10),style=wx.CB_READONLY,
+                                     size=(100,-1))
+        self.fontWeight = wx.ComboBox(self,pos=(300,60),
+                                      style=wx.CB_READONLY,size=(100,-1))
+
+        self.okButton = wx.Button(self,wx.ID_OK,'OK',pos=(215,100))
+        self.closeButton = wx.Button(self,wx.ID_CANCEL,'Cancel',pos=(315,100))
+
+        self._set_family_list()
+        self._set_style_list()
+        self._set_weight_list()
+        self._set_point_list()
+
+        familyText = wx.StaticText(self, label='Family:', pos=(10,12))
+        sizeText = wx.StaticText(self, label='Size:',pos=(220,12))
+        styleText = wx.StaticText(self, label='Style:',pos=(10,62))
+        weightText = wx.StaticText(self, label='Weight:',pos=(220,62))
+
+    def _set_family_list(self):
+        # list of font family
+        list = FAMILY
+        for idx in range(len(list)):
+            self.fontFamily.Append(list[idx],idx)
+
+    def _set_style_list(self):
+        # list of styles
+        list = STYLE
+        for idx in range(len(list)):
+            self.fontStyle.Append(list[idx],idx)
+
+    def _set_weight_list(self):
+        #list of weights
+        list = WEIGHT
+        for idx in range(len(list)):
+            self.fontWeight.Append(list[idx],idx)
+
+    def _set_point_list(self):
+        # list of point sizes
+        list = SIZE
+        for idx in range(len(list)):
+            self.fontPoint.Append(str(list[idx]),idx)
+
+
+    def set_default_font(self,font):
+        
+        if not font:
+            self.fontFamily.SetSelection(1)
+            self.fontWeight.SetSelection(1)
+            self.fontPoint.SetSelection(3)
+            self.fontStyle.SetSelection(0)
+
+        else:
+            self.fontWeight.SetStringSelection(font.get_weight())
+            self.fontPoint.SetStringSelection(font.get_size())
+            self.fontFamily.SetStringSelection(font.get_family())
+            self.fontStyle.SetStringSelection(font.get_style())
+        
+
+    def get_font(self):
+        FONT = FontProperties()
+        font = FONT.copy()
+        font.set_size(self.fontPoint.GetValue())
+        font.set_name(str(self.fontFamily.GetValue()))
+        font.set_slant(str(self.fontStyle.GetValue()))
+        font.set_weight(str(self.fontWeight.GetValue()))
+
+        return font
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision f8be87db070c7bd182dfffe13bf0a045c543570c)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
@@ -37,4 +37,5 @@
 from binder import BindArtist
 from appearanceDialog import appearanceDialog
+from graphAppearance import graphAppearance
 
 DEFAULT_QMAX = 0.05
@@ -43,4 +44,11 @@
 BIN_WIDTH = 1
 IS_MAC = (sys.platform == 'darwin')
+
+
+def find_key(dic, val):
+    """return the key of dictionary dic given the value"""
+    return [k for k, v in dic.iteritems() if v == val][0]
+
+
 
 class ModelPanel1D(PlotPanel, PanelBase):
@@ -478,5 +486,5 @@
 
                 id = wx.NewId()
-                plot_menu.Append(id, '&Modify graph properties', name)
+                plot_menu.Append(id, '&Modify plot properties', name)
                 wx.EVT_MENU(self, id, self.createAppDialog)
 
@@ -495,23 +503,33 @@
                 loc_menu.Append(id, str(label), str(label))
                 wx.EVT_MENU(self, id, self.onChangeLegendLoc)
-            id = wx.NewId()
-            self._slicerpop.AppendMenu(id, '&Modify Legend Location', loc_menu)
-            
-            id = wx.NewId()
-            self._slicerpop.Append(id, '&Toggle Legend On/Off', 'Toggle Legend On/Off')
-            wx.EVT_MENU(self, id, self.onLegend)
+            
+
+            # ILL mod start here
+
+            # id = wx.NewId()
+            # self._slicerpop.AppendMenu(id, '&Modify Legend Location', loc_menu)
+
+            # id = wx.NewId()
+            # self._slicerpop.Append(id, '&Toggle Legend On/Off', 'Toggle Legend On/Off')
+            # wx.EVT_MENU(self, id, self.onLegend)
+            # self._slicerpop.AppendSeparator()
+            
+            # id = wx.NewId()
+            # self._slicerpop.Append(id, '&Edit Y Axis Label')
+            # wx.EVT_MENU(self, id, self._on_yaxis_label)     
+            # id = wx.NewId()
+            # self._slicerpop.Append(id, '&Edit X Axis Label')
+            # wx.EVT_MENU(self, id, self._on_xaxis_label)
+    
+            # id = wx.NewId()
+            # self._slicerpop.Append(id, '&Toggle Grid On/Off', 'Toggle Grid On/Off')
+            # wx.EVT_MENU(self, id, self.onGridOnOff)
+            # self._slicerpop.AppendSeparator()
+
+            id = wx.NewId()
+            self._slicerpop.Append(id, '&Modify graph appearance','Modify graph appearance')
+            wx.EVT_MENU(self, id, self.modifyGraphAppearance)
             self._slicerpop.AppendSeparator()
-            
-            id = wx.NewId()
-            self._slicerpop.Append(id, '&Edit Y Axis Label')
-            wx.EVT_MENU(self, id, self._on_yaxis_label)     
-            id = wx.NewId()
-            self._slicerpop.Append(id, '&Edit X Axis Label')
-            wx.EVT_MENU(self, id, self._on_xaxis_label)
-    
-            id = wx.NewId()
-            self._slicerpop.Append(id, '&Toggle Grid On/Off', 'Toggle Grid On/Off')
-            wx.EVT_MENU(self, id, self.onGridOnOff)
-            self._slicerpop.AppendSeparator()
+
             
             if self.position != None:
@@ -630,5 +648,5 @@
             curr_symbol = 13
 
-        self.appD = appearanceDialog(self,'Modify graph properties')
+        self.appD = appearanceDialog(self,'Modify plot properties')
         self.appD.setDefaults(float(curr_size),int(curr_color),str(appearanceDialog.find_key(self.get_symbol_label(),int(curr_symbol))),curr_label)
         self.appD.Bind(wx.EVT_CLOSE, self.on_AppDialog_close)    
@@ -652,2 +670,41 @@
         self.appD.Destroy()
         self._check_zoom_plot()
+
+
+    def modifyGraphAppearance(self,e):
+        self.graphApp = graphAppearance(self,'Modify graph appearance')
+
+        
+
+        self.graphApp.setDefaults(self.grid_on,self.legend_on,
+                                  self.xaxis_label,self.yaxis_label,
+                                  self.xaxis_unit,self.yaxis_unit,
+                                  self.xaxis_font,self.yaxis_font,
+                                  find_key(self.get_loc_label(),self.legendLoc),
+                                  self.xcolor,self.ycolor)
+        self.graphApp.Bind(wx.EVT_CLOSE, self.on_graphApp_close)
+    
+
+    def on_graphApp_close(self,e):
+# returns toggleGrid? toggleLegend? xlab, ylab, xunit, yunit, xfont, yfont, xcolor, ycolor, legendloc
+
+        #to do - make this passback mechanism much nicer
+        data = self.graphApp.getAppInfo()
+        self.onGridOnOff(data[0])
+        self.onLegend(data[1])
+        self.ChangeLegendLoc(data[10])
+
+        self.xaxis_label = data[2]
+        self.yaxis_label = data[3]
+        self.xaxis_unit = data[4]
+        self.yaxis_unit = data[5]
+
+        self.xaxis(data[2],data[4],data[6],data[8])
+        self.yaxis(data[3],data[5],data[7],data[9])
+
+        xfont = data[6]
+        yfont = data[7]
+
+        # and a little sanity checking along the way
+
+        self.graphApp.Destroy()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
@@ -0,0 +1,273 @@
+#!/usr/bin/python
+
+"""
+
+Dialog for general graph appearance
+
+
+/**
+	This software was developed by Institut Laue-Langevin as part of
+	Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
+
+	Copyright 2012 Institut Laue-Langevin
+
+**/
+
+
+"""
+
+import wx
+from matplotlib.font_manager import FontProperties
+from danse.common.plottools.SimpleFont import SimpleFont
+
+COLOR = ['black', 'blue', 'green', 'red', 'cyan', 'magenta', 'yellow']
+
+
+class graphAppearance(wx.Frame):
+
+    def __init__(self,parent,title):
+        super(graphAppearance,self).__init__(parent, title=title,size=(520,435))
+
+        self.InitUI()
+        self.Centre()
+        self.Show()
+
+        self.xfont = None
+        self.yfont = None
+
+
+    def InitUI(self):
+
+        panel = wx.Panel(self)
+
+        vbox = wx.BoxSizer(wx.VERTICAL)
+        hbox1 = wx.BoxSizer(wx.HORIZONTAL)
+        hbox2 = wx.BoxSizer(wx.HORIZONTAL)
+
+        xhbox1 = wx.BoxSizer(wx.HORIZONTAL)
+        xhbox2 = wx.BoxSizer(wx.HORIZONTAL)
+        yhbox1 = wx.BoxSizer(wx.HORIZONTAL)
+        yhbox2 = wx.BoxSizer(wx.HORIZONTAL)
+
+
+        legendLocText = wx.StaticText(panel, label='Legend location: ')
+        self.legendLocCombo = wx.ComboBox(panel,style = wx.CB_READONLY, size=(180,-1))
+        self.fillLegendLocs()
+
+        self.toggleLegend = wx.CheckBox(panel, label='Toggle legend on/off')
+        self.toggleGrid = wx.CheckBox(panel, label='Toggle grid on/off')
+
+        
+        xStaticBox = wx.StaticBox(panel,-1, 'x-axis label')
+        xStaticBoxSizer = wx.StaticBoxSizer(xStaticBox, wx.VERTICAL)
+        yStaticBox = wx.StaticBox(panel,-1, 'y-axis label')
+        yStaticBoxSizer = wx.StaticBoxSizer(yStaticBox, wx.VERTICAL)
+
+
+        xaxisLabel = wx.StaticText(panel, label='X-axis: ')
+        yaxisLabel = wx.StaticText(panel, label='Y-axis: ')
+        unitLabel1 = wx.StaticText(panel, label='Units: ')
+        unitLabel2 = wx.StaticText(panel, label='Units: ')
+
+        self.xaxisText = wx.TextCtrl(panel,-1,"",size=(220,-1))
+        self.yaxisText = wx.TextCtrl(panel,-1,"",size=(220,-1))
+
+        self.xaxisUnitText = wx.TextCtrl(panel,-1,"",size=(100,-1))
+        self.yaxisUnitText = wx.TextCtrl(panel,-1,"",size=(100,-1))
+
+
+
+        xcolorLabel = wx.StaticText(panel, label='Font color: ')
+        self.xfontColor = wx.ComboBox(panel,size=(100,-1),style=wx.CB_READONLY)
+        self.xfillColors()
+        self.xfontColor.SetSelection(0)
+        xfontButton = wx.Button(panel, label='Font')
+        xfontButton.Bind(wx.EVT_BUTTON,self.onxFont)
+
+        ycolorLabel = wx.StaticText(panel, label='Font color: ')
+        self.yfontColor = wx.ComboBox(panel,size=(100,-1),style=wx.CB_READONLY)
+        self.yfillColors()
+        self.yfontColor.SetSelection(0)
+        yfontButton = wx.Button(panel, label='Font')
+        yfontButton.Bind(wx.EVT_BUTTON,self.onyFont)
+
+        
+
+        self.cancelButton = wx.Button(panel, label='Cancel')
+        self.okButton = wx.Button(panel, label='OK')
+
+        self.cancelButton.Bind(wx.EVT_BUTTON,self.onCancel)
+        self.okButton.Bind(wx.EVT_BUTTON,self.onOK)
+
+
+        xhbox1.Add(xaxisLabel,flag= wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT,border=10)
+        xhbox1.Add(self.xaxisText,flag=wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT,border=10)
+        xhbox1.Add(unitLabel1,flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT,border=10)
+        xhbox1.Add(self.xaxisUnitText, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT,border=10)
+
+        yhbox1.Add(yaxisLabel,flag= wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT,border=10)
+        yhbox1.Add(self.yaxisText,flag=wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT,border=10)
+        yhbox1.Add(unitLabel2,flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT,border=10)
+        yhbox1.Add(self.yaxisUnitText, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT,border=10)
+
+        xhbox2.Add(xcolorLabel,flag=wx.ALL | wx.ALIGN_RIGHT, border=10)
+        xhbox2.Add(self.xfontColor,flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+        xhbox2.Add(xfontButton,flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+
+        yhbox2.Add(ycolorLabel,flag=wx.ALL | wx.ALIGN_RIGHT, border=10)
+        yhbox2.Add(self.yfontColor,flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+        yhbox2.Add(yfontButton,flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+
+
+        hbox1.Add(legendLocText, flag =  wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
+        hbox1.Add(self.legendLocCombo, flag =  wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
+        hbox1.Add((5,-1))
+        hbox1.Add(self.toggleLegend, flag = wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
+
+        hbox2.Add(self.okButton, flag = wx.ALL | wx.ALIGN_RIGHT, border=5)
+        hbox2.Add(self.cancelButton, flag = wx.ALL | wx.ALIGN_RIGHT, border=5)
+        hbox2.Add((15,-1))
+
+        xStaticBoxSizer.Add(xhbox1,flag= wx.EXPAND ,border=5)
+        xStaticBoxSizer.Add(xhbox2, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+        yStaticBoxSizer.Add(yhbox1,flag= wx.EXPAND ,border=5)
+        yStaticBoxSizer.Add(yhbox2, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+
+        vbox.Add((-1,20))
+        vbox.Add(hbox1, flag = wx.EXPAND | wx.ALL, border=5)
+        vbox.Add(xStaticBoxSizer, flag = wx.ALL | wx.EXPAND, border=10)
+        vbox.Add(yStaticBoxSizer, flag = wx.ALL | wx.EXPAND, border=10)
+
+        vbox.Add(self.toggleGrid, flag = wx.ALIGN_RIGHT | wx.RIGHT, border=20)
+        vbox.Add(hbox2, flag = wx.ALIGN_RIGHT | wx.ALL , border=5)
+
+
+        panel.SetSizer(vbox)
+
+    def xfillColors(self):
+        list = COLOR
+        for idx in range(len(list)):
+            self.xfontColor.Append(list[idx],idx)
+
+    def yfillColors(self):
+        list = COLOR
+        for idx in range(len(list)):
+            self.yfontColor.Append(list[idx],idx)
+
+    def onxFont(self,e):
+        title = 'Modify x axis font'
+
+        fonty = SimpleFont(self,wx.NewId(),title)
+        fonty.set_default_font(self.xfont)
+        if(fonty.ShowModal() == wx.ID_OK):
+            self.xfont = fonty.get_font()
+
+    def onyFont(self,e):
+        title = 'Modify y axis font'
+        fonty = SimpleFont(self,wx.NewId(),title)
+        fonty.set_default_font(self.yfont)
+        if(fonty.ShowModal() == wx.ID_OK):
+            self.yfont = fonty.get_font()
+
+    def onOK(self,e):
+        self.Close()
+
+    def onCancel(self, e):
+        self.Destroy()
+
+
+    def get_loc_label(self):
+        """
+        Associates label to a specific legend location
+        """
+        _labels = {}
+        i = 0
+        _labels['best'] = i
+        i += 1
+        _labels['upper right'] = i
+        i += 1
+        _labels['upper left'] = i
+        i += 1
+        _labels['lower left'] = i
+        i += 1
+        _labels['lower right'] = i
+        i += 1
+        _labels['right'] = i
+        i += 1
+        _labels['center left'] = i
+        i += 1
+        _labels['center right'] = i
+        i += 1
+        _labels['lower center'] = i
+        i += 1
+        _labels['upper center'] = i
+        i += 1
+        _labels['center'] = i
+        return _labels
+
+
+    def fillLegendLocs(self):
+
+        # labels = []
+        # for label in self.get_loc_label():
+        #     labels.append(str(label))
+
+        # for label in reversed(labels):
+        #     self.legendLocCombo.Append(label)
+        for label in self.get_loc_label():
+            self.legendLocCombo.Append(label)
+
+
+    def setDefaults(self,grid,legend,xlab,ylab,xunit,yunit,
+                    xaxis_font,yaxis_font,legend_loc,
+                    xcolor,ycolor):
+        self.toggleGrid.SetValue(grid)
+        self.toggleLegend.SetValue(legend)
+        self.xaxisText.SetValue(xlab)
+        self.yaxisText.SetValue(ylab)
+        self.xaxisUnitText.SetValue(xunit)
+        self.yaxisUnitText.SetValue(yunit)
+        self.xfont = xaxis_font
+        self.yfont = yaxis_font
+
+        if not xcolor:
+            self.xfontColor.SetSelection(0)
+        else:
+            self.xfontColor.SetStringSelection(xcolor)
+
+        if not ycolor:
+            self.yfontColor.SetSelection(0)
+        else:
+            self.yfontColor.SetStringSelection(ycolor)
+            
+
+        
+        self.legendLocCombo.SetStringSelection(legend_loc)
+
+
+    def getAppInfo(self):
+        grid_on = self.toggleGrid.GetValue()
+        legend_on = self.toggleLegend.GetValue()
+        xlab = self.xaxisText.GetValue()
+        ylab = self.yaxisText.GetValue()
+        xunit = self.xaxisUnitText.GetValue()
+        yunit = self.yaxisUnitText.GetValue()
+        legend_loc = self.get_loc_label()[self.legendLocCombo.GetStringSelection()]
+        xcolor = self.xfontColor.GetValue()
+        ycolor = self.yfontColor.GetValue()
+
+
+        return [grid_on,legend_on,xlab,ylab,xunit,yunit,
+                self.xfont,self.yfont,
+                xcolor,ycolor,legend_loc]
+
+
+
+if __name__ == '__main__':
+
+    app = wx.App()
+    graphD = graphAppearance(None,title='Modify graph appearance')
+    app.MainLoop()
+
+
+
